package vip.xiaonuo.production.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import vip.xiaonuo.money.entity.MoneyBusiness;
import vip.xiaonuo.production.entity.ProductionWorkstopPlan;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import vip.xiaonuo.production.entity.vo.ProductionPlanVo2;

/**
 * <p>
 * 生成管控车间计划 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-12-12
 */
public interface ProductionWorkstopPlanMapper extends BaseMapper<ProductionWorkstopPlan> {

    ProductionPlanVo2 getTarget(String start,String end,String lastStart,String lastEnd,String orgId,String name);

    IPage<ProductionWorkstopPlan> getTop(@Param(Constants.WRAPPER) QueryWrapper<ProductionWorkstopPlan> wapper,IPage<ProductionWorkstopPlan> page);
}
