package vip.xiaonuo.purchase.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import vip.xiaonuo.purchase.entity.PurchaseOrder;
import vip.xiaonuo.purchase.entity.PurchasePrice;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import vip.xiaonuo.purchase.param.DongShiKuCunWuliaoVoParam;
import vip.xiaonuo.purchase.param.GongYingShangParam;
import vip.xiaonuo.purchase.param.PurchaseYuanCaiLiaoParam;

import java.util.List;

/**
 * <p>
 * 采购单品价格表 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-11-27
 */
public interface PurchasePriceMapper extends BaseMapper<PurchasePrice> {

    List<PurchaseYuanCaiLiaoParam> getZhuYaoYuanCaiLiao( @Param(Constants.WRAPPER)QueryWrapper<PurchasePrice> wapper);

    Page<GongYingShangParam> getGongYingShang(Page<GongYingShangParam> page, @Param(Constants.WRAPPER) QueryWrapper<PurchaseOrder> wapper);

    List<String> getWuLiaoShaiXuan(@Param(Constants.WRAPPER) QueryWrapper<PurchaseOrder> wapper);

    List<DongShiKuCunWuliaoVoParam> getKuCunWuLiao(@Param(Constants.WRAPPER) QueryWrapper<PurchaseOrder> wapper);
}
